package com.gxzc.zen.api.sys.service

import com.baomidou.mybatisplus.plugins.Page
import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.common.base.BaseService
import java.io.Serializable

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysRoleService : BaseService<SysRole> {

    fun getRoleListByUserId(userId: Long?): MutableList<SysRole>

    /**
     * 获取角色列表(分页)
     */
    fun getRoleListPage(keyword: String?, searchOption: Int?, page: Page<SysRole>, enable: Boolean?): Page<SysRole>

    /**
     * 获取角色列表
     */
    fun getRoleList(keyword: String?, searchOption: Int?, enable: Boolean?): MutableList<SysRole>

    fun physicalDeleteById(id: Serializable)

    fun updateLogicById(entity: SysRole)
}
