package com.gxzc.zen.umps.config

import org.apache.shiro.cache.AbstractCacheManager
import org.apache.shiro.cache.Cache
import org.springframework.data.redis.core.RedisTemplate


/**
 *
 * @author NorthLan
 * @date 2018/4/23
 * @url https://noahlan.com
 */
class ShiroRedisCacheManager : AbstractCacheManager {
    private val redisTemplate: RedisTemplate<String, Any>

    private val properties: ShiroRedisProperties

    constructor(redisTemplate: RedisTemplate<String, Any>, properties: ShiroRedisProperties) {
        this.redisTemplate = redisTemplate
        this.properties = properties
    }

    override fun createCache(p0: String): Cache<*, *> {
        return ShiroRedisCache(redisTemplate, p0, properties)
    }
}