package com.gxzc.zen.web.sys.controller

import com.gxzc.zen.api.sys.service.ISysMenuRoleService
import com.gxzc.zen.common.config.request.annotation.KVType
import com.gxzc.zen.common.config.request.annotation.KVTypeEnum
import com.gxzc.zen.common.config.request.annotation.ZenRequestTypes
import com.gxzc.zen.common.dto.RequestDto
import com.gxzc.zen.common.dto.ResponseDto
import io.swagger.annotations.ApiOperation
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

/**
 *
 * @author NorthLan
 * @date 2018/5/5
 * @url https://noahlan.com
 */
@RestController
class MenuRoleController {

    @Autowired
    private lateinit var menuRoleSerivce: ISysMenuRoleService

    @ApiOperation("获取对应角色拥有的菜单id列表")
    @GetMapping("/role/{id}/menu/idlist")
    fun getMenuIdListByRoleId(@PathVariable id: Long): ResponseEntity<*> {
        return ResponseEntity.ok(ResponseDto().apply {
            this.data = menuRoleSerivce.getMenuIdListByRoleId(id)
        })
    }

    @Suppress("UNCHECKED_CAST")
    @ApiOperation("更新列表")
    @PutMapping("/role/{id}/menu")
    @ZenRequestTypes(KVType(key = "menuIdList", value = Long::class, type = KVTypeEnum.LIST))
    fun updateMenuRole(@PathVariable id: Long, @RequestBody requestDto: RequestDto): ResponseEntity<*> {
        menuRoleSerivce.updateMenuRole(id, requestDto["menuIdList"] as List<Long>)
        return ResponseEntity.ok(ResponseDto())
    }
}